Subject: Re: [Patch v4 12/12] RDMA/mana_ib: Add a driver for Microsoft Azure Network Adapter

From: Greg KH <[email-masked]>
Date: Wed, 13 Jul 2022 08:14:58 +0200

On Tue, Jul 12, 2022 at 11:46:36PM +0000, Long Li wrote:
> > Subject: Re: [Patch v4 12/12] RDMA/mana_ib: Add a driver for Microsoft Azure
> > Network Adapter
> > 
> > On Wed, Jun 15, 2022 at 07:07:20PM -0700, [email-masked] wrote:
> > > --- /dev/null
> > > +++ b/drivers/infiniband/hw/mana/cq.c
> > > @@ -0,0 +1,80 @@
> > > +// SPDX-License-Identifier: GPL-2.0 OR Linux-OpenIB
> > 
> > Why perpetuate this mess that the OpenIB people created?  I thought that no
> > new drivers were going to be added with this, why does this one need to have it
> > as well if it is new?
> 
> I apologize for the incorrect license language. I followed other RDMA driver's license terms but didn't' realized their licensing language is not up to the standard.

You need to follow the license rules of your employer, please consult
with them as they know what to do here.

> The newly introduced EFA RDMA driver used the following license terms:
> (drivers/infiniband/hw/efa/efa_main.c)
> // SPDX-License-Identifier: GPL-2.0 OR BSD-2-Clause
> 
> Is it acceptable that we use the same license terms?

Again, discuss this with the lawyers at your company.  But if you are
going to use a dual-license, you must be prepared to defend why you are
doing so.

thanks,

greg k-h